.TH LIGHTIFY-UTIL "1" "December 2015" "Usage: lightify-util [OPTIONS]" "User Commands"
.SH NAME
ligthtify-util \- A tool to interact with OSRAM Lightify by directly talking to the gateway
.SH SYNOPSIS
.B lt-lightify-util
[\fI\,OPTIONS\/\fR]
.SH DESCRIPTION
The tool allows one to get information from a LIGHTIFY gateway and also manipulate the lamp's states.

Commands can be queued up and will be executed in the order they appear on the command line.

The hostname of the gateway must always given first. If you specify a lamp name or group name
all following commands will act on this lamp/lamp.

All commands (except on/off) needs a lamp or group to act on. on/off will act on all lamps if not
specified otherwise.

.TP
\fB\-\-host\fR,\-h <host>
Hostname or IP
.TP
[\-\-verbose]
Verbose mode
.TP
[\-\-list\-nodes,\-d]
Dump info about lamps
.TP
[\-\-list\-groups]
Show all known groups
.TP
[\-\-wait,\-w <value>]
Wait for value/10 seconds
.TP
[\-\-time,\-t <value>]
Set fading time  in 1/10 seconds
.TP
[\-\-name,\-n <value>]
Name of the lamp to be manipulated
.TP
[\-\-group,\-g <value>]
Name of the group to be manipulated
.TP
[\-\-port,\-p <port>]
Port, default 4000
.TP
[\-\-on,\-0]
Turn lamp on
.TP
[\-\-off,\-1]
Turn lamp off
.IP
[\-\-level,\-l <value>] Set intensity level. Range 0 to 100
[\-\-cct,\-c <value>]   CCT to be set.
[\-\-rgbw,\-r <value>]  Set color. Give color as r,g,b,w. Color values from 0 to 255
.IP
Host must be given before any command. Commands on and off can broadcast to all lamps if name is not given before.
.TP
\fB\-\-host\fR,\-h <host>
Hostname or IP
.TP
[\-\-verbose]
Verbose mode
.TP
[\-\-list\-nodes,\-d]
Dump info about lamps
.TP
[\-\-list\-groups]
Show all known groups
.TP
[\-\-wait,\-w <value>]
Wait for value/10 seconds
.TP
[\-\-time,\-t <value>]
Set fading time  in 1/10 seconds
.TP
[\-\-name,\-n <value>]
Name of the lamp to be manipulated
.TP
[\-\-group,\-g <value>]
Name of the lamp to be manipulated
.TP
[\-\-port,\-p <port>]
Port, default 4000
.TP
[\-\-on,\-0]
Turn lamp on
.TP
[\-\-off,\-1]
Turn lamp off
.IP
[\-\-level,\-l <value>] Set intensity level. Range 0 to 100
[\-\-cct,\-c <value>]   CCT to be set.
[\-\-rgbw,\-r <value>]  Set color. Give color as r,g,b,w. Color values from 0 to 255
.IP
Host must be given before any command. Commands on and off can broadcast to all lamps if name is not given before.

